Not Solved [Error Message] Error 1064 on startup
#1
Not Solved
Some weeks ago I installed MyBB forum on Slovenian Toyota Forum.
It looks promising, but I get an error message:
MyBB has experienced an internal SQL error and cannot continue.

SQL Error: 1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ') ORDER BY tid DESC' at line 1 Query: SELECT tid, DATE_FORMAT(FROM_UNIXTIME(lastpost),'%Y-%m-%dT%H:%i:%sZ') AS lastmod FROM mybb_threads WHERE NOT dateline = 0 AND fid NOT IN () ORDER BY tid DESC

It is interesting that refresh helps! And this error occurs only from time to time, not always.

Any idea?
Reply
#2
Not Solved
It may be related to a plugin: https://community.mybb.com/thread-227366.html
devilshakerz.com/pgp (DF3A 34D9 A627 42E5 BC6A 6750 1F2F B8AA 28FF E1BC) ▪ keybase.io/devilshakerz
Reply
#3
Not Solved
It can be. I have installed YASM (for a sitemap).
Maybe someone will have a solution.
Reply
#4
Not Solved
if you can login to forum admin panel then deactivate / uninstall sitemap plugin.
that should fix current problem. And wait for update of the plugin to use it later
or try finding another plugin for the same purpose ..
Reply
#5
Not Solved
(2020-05-12, 02:17 AM).m. Wrote: if you can login to forum admin panel then deactivate / uninstall sitemap plugin.
that should fix current problem. And wait for update of the plugin to use it later
or try finding another plugin for the same purpose ..

Yes, I have disabled the plugin and will wait for an update.
Reply
#6
Not Solved
Hi,

got it. I'm going to fix it in few hours.
I don't answer questions about localhost forums or forums without URL, I'm not a seer.  Cool
Reply
#7
Not Solved
Hi,

plugin updated to v1.3. Please upload it to fix the problem you report.

Thanks for the report.
I don't answer questions about localhost forums or forums without URL, I'm not a seer.  Cool
Reply
#8
Not Solved
(2020-05-18, 02:21 PM)NoRules Wrote: Hi,

plugin updated to v1.3. Please upload it to fix the problem you report.

Thanks for the report.

Upgraded to 1.3, now I get two warnings:
Warning [2] fwrite() expects parameter 1 to be resource, boolean given - Line: 377 - File: inc/plugins/yetanothersitemap.php PHP 7.2.31-1+ubuntu18.04.1+deb.sury.org+1 (Linux)

and

Warning [2] fclose() expects parameter 1 to be resource, boolean given - Line: 378 - File: inc/plugins/yetanothersitemap.php PHP 7.2.31-1+ubuntu18.04.1+deb.sury.org+1 (Linux)

A noob question: what permissions should "xxxxx/inc/plugins/yetanothersitemap.php" have?
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)